Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.svg
Class SvgDiagramExporter

    java.lang.Object
      biouml.plugins.svg.SvgDiagramExporter

All Implemented Interfaces:
  DiagramExporter

public class SvgDiagramExporter
extends java.lang.Object
implements DiagramExporter

Exports diagram image in SVG format.

Pendung:
  move view to offset

Constructor Summary
`SvgDiagramExporter()`

Method Summary
`boolean` | `accept(Diagram diagram)` Accepts any diagram.
`void` | `doExport(Diagram diagram, java.io.File file)` Exports the specified diagram into the specified file or directory.
`boolean` | `init(java.lang.String format, java.lang.String suffix)` The same exporter can support several formats.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvgDiagramExporter

    public SvgDiagramExporter()

Method Detail

### accept

    public boolean accept(Diagram diagram)

  Accepts any diagram.

  Specified by:
    `accept` in interface `DiagramExporter`

### init

    public boolean init(java.lang.String format,
                        java.lang.String suffix)

  Description copied from interface: `DiagramExporter`
  The same exporter can support several formats. In this case several instances of exporter can be initialised with different `format` and `suffix` parameters.

  Specified by:
    `init` in interface `DiagramExporter`
  Parameters:
    `format` - - format for export
    `suffix` - - file sufix for the specified format.
  Returns:
    true if the exporter was initialised successfully for the specified format and false otherwise.

### doExport

    public void doExport(Diagram diagram,
                         java.io.File file)
                  throws java.lang.Exception

  Description copied from interface: `DiagramExporter`
  Exports the specified diagram into the specified file or directory.

  Specified by:
    `doExport` in interface `DiagramExporter`
  Parameters:
    `diagram` - - diagram to be exported
    `file` - - name of file or directory where the export results will be stored.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.